org.gradle.platform.base

## Class ModelInstantiationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.gradle.api.GradleException
        - - org.gradle.platform.base.ModelInstantiationException

- All Implemented Interfaces:
    Serializable

      public class ModelInstantiationException
      extends GradleException

  Thrown when a model element cannot be instantiated for some reason.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ModelInstantiationException(String message)`
    `ModelInstantiationException(String message, Throwable cause)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ModelInstantiationException

          public ModelInstantiationException(String message)

    - #### ModelInstantiationException

          public ModelInstantiationException(String message,
                                     Throwable cause)